celix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bjoern Petri <bjoern.pe...@sundevil.de>
Subject Re: celix cannot be build w/ cmake 3.3.1
Date Sat, 24 Oct 2015 07:09:18 GMT


Hi everyone,

I took some time to dive a bit into this issue and suspect the following
bug to cause this behavior.

https://public.kitware.com/Bug/view.php?id=15696.

Building Celix w/ CMake 3.2 and CMake 3.4 RC2 works without a problem.
For now, I added a check at the beginning of our CMake Configuration:
in case CMake 3.3. is used an message is printed asking the user to
switch the CMake Version and the build is aborted.

Regards,
  Bjoern




On 21.09.2015 14:45, Bjoern Petri wrote:
> 
> 
> Hi everyone,
> 
> It seems that celix cannot be build using cmake 3.3.1 (which has been
> rolled out with the latest update of fedora 22). Trying to build it ends
> with an message saying "Error: could not load cache". I'll look into
> this later. For now I'd suggest staying with cmake < 3.3.1.
> 
> Regards,
>   Bjoern

Mime
View raw message